osmium::Segment Class Reference

`#include <segment.hpp>`

Inheritance diagram for osmium::Segment:
[legend]
Collaboration diagram for osmium::Segment:
[legend]

## Public Member Functions

constexpr | Segment (const osmium::Location &location1, const osmium::Location &location2) noexcept
constexpr | Segment (const Segment &)=default
constexpr | Segment (Segment &&)=default
Segment & | operator= (const Segment &)=default
Segment & | operator= (Segment &&)=default
| ~Segment ()=default
constexpr osmium::Location | first () const noexcept
| Return first Location of Segment. More...
constexpr osmium::Location | second () const noexcept
| Return second Location of Segment. More...

## Protected Member Functions

void | swap_locations ()

## Private Attributes

osmium::Location | m_first
osmium::Location | m_second

## Detailed Description

A Segment is the directed connection between two Locations.

## Constructor & Destructor Documentation

constexpr osmium::Segment::Segment | ( | const osmium::Location & | location1,
|  | const osmium::Location & | location2
| ) |  |

inline explicit noexcept

constexpr osmium::Segment::Segment | ( | const Segment & |  | ) |

default

constexpr osmium::Segment::Segment | ( | Segment && |  | ) |

default

osmium::Segment::~Segment | ( |  | ) |

default

## Member Function Documentation

constexpr osmium::Location osmium::Segment::first | ( |  | ) | const

inline noexcept

Return first Location of Segment.

Segment& osmium::Segment::operator= | ( | const Segment & |  | ) |

default

Segment& osmium::Segment::operator= | ( | Segment && |  | ) |

default

constexpr osmium::Location osmium::Segment::second | ( |  | ) | const

inline noexcept

Return second Location of Segment.

void osmium::Segment::swap_locations | ( |  | ) |

inline protected

## Member Data Documentation

osmium::Location osmium::Segment::m_first

private

osmium::Location osmium::Segment::m_second

private

The documentation for this class was generated from the following file:

- osmium/osm/segment.hpp